KYC Durumu
GET
/v1/kyc/statusOptionalÜye işyerinin KYC kararını raporlar. status ∈ none | pending | approved | rejected | suspended | expired. Ödemelere yalnızca status === "approved" olduğunda izin verilir.
Kimlik Doğrulama
İmza Deseni
HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/kyc/status\n{sha256(\"\")}")| Başlık | Değer | Açıklama |
|---|---|---|
X-Api-Key | pk_live_a1b2c3d4e5f6g7h8 | Merchant public API key |
X-Signature | {hmac_sha256_hex} | Hex HMAC-SHA256 request signature |
X-Timestamp | 2026-04-13T10:00:00Z | ISO 8601 UTC request time (±5 min) |
Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
status | string | "approved" |
decidedAt | string | "2026-04-10T09:00:00Z" |
sessionId | string | "f1c9a2e6-b4d4-e8a9-c1f2-a7b8c9d0e1f3" |
subjectId | string | "sbj_3c4d5e6f7081" |
Yanıt Örneği
JSONYanıt
{
"status": "approved",
"decidedAt": "2026-04-10T09:00:00Z",
"sessionId": "f1c9a2e6-b4d4-e8a9-c1f2-a7b8c9d0e1f3",
"subjectId": "sbj_3c4d5e6f7081"
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
GEThttps://api.pay.sandbox.kvell.group